XmVaCreateContainer(library call)

NAME
XmVaCreateContainer, XmVaCreateManagedContainer — A Container widget convenience creation functions.

SYNOPSIS

#include <Xm/Container.h>

Widget XmVaCreateContainer(
Widget parent,
String name,
...);

Widget XmVaCreateManagedContainer(
Widget parent,
String name,
...);

DESCRIPTION

These functions create an instance of a Container widget and returns the associated widget ID. These routines use the ANSI C variable-length argument list (varargs) calling convention.

The XmVaCreateContainer function is a convenience routine that calls XtCreateWidget.

The XmVaCreatemanagedContainer function is a convenience routine that calls XtCreateManagedWidget.

parent
    Specifies the parent widget ID.

name
    Specifies the name of the created widget.

... Specifies the variable argument list to override the resource defaults.

For a complete definition of Container and its associated resources, see XmContainer(3).

RETURN

Returns the Container widget ID.

RELATED

XmContainer(3), XmCreateContainer(3), XtCreateWidget(3), and XtCreateManagedWidget(3).